Booking API
Bookings Users
Guest user search and creation for bookings
Authorization
ApiKeyAuth X-API-Key<token>
API key authentication. Format: karma_live_* or karma_dev_*
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?string
Guest name
email?string
Guest email
Format
emailphone?string
Guest phone number
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/users/guests" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "success", "data": { "id": 0, "email": "string", "phone": "string", "name": "string", "lastSeenDate": "2019-08-24T14:15:22Z", "bookingCount": 0, "lastBookingDate": "2019-08-24", "vip": true, "flags": {}, "hasLocationOverride": true }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth X-API-Key<token>
API key authentication. Format: karma_live_* or karma_dev_*
In: header
Query Parameters
q*string
Search query (email, phone, or name)
Length
2 <= lengthlocationId?number
Location ID for booking history context
limit?number
Maximum results to return
Range
1 <= value <= 50Default
20Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/users/search?q=string"{ "status": "success", "data": { "users": [ { "id": 0, "email": "string", "phone": "string", "name": "string", "lastSeenDate": "2019-08-24T14:15:22Z", "bookingCount": 0, "lastBookingDate": "2019-08-24", "vip": true, "flags": {}, "hasLocationOverride": true } ] }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}